Skip to content

Get incident timeline

GET
/api/v1/incidents/{incident_id}/timeline

Returns chronological incident timeline.

Authorizations

Parameters

Path Parameters

incident_id
required
string

Query Parameters

tenant_id
required

Tenant identifier

string

Tenant identifier

Responses

200

Successful Response

Chronological timeline of events during an incident.

Args: incident_id: The incident this timeline belongs to. entries: List of timeline entries sorted by timestamp. window_start: Start of the incident window (ISO). window_end: End of the incident window (ISO).

object
entries
Array<object>

A single entry in an incident timeline.

Args: timestamp: ISO timestamp of the event. source: Event source (error_tracker, metrics, health, runbook, escalation). description: Human-readable event description. severity: Severity level of the event. data: Optional additional structured data.

object
data
Any of:
object
key
additional properties
any
description
string
""
severity
string
default: info
source
string
""
timestamp
string
incident_id
string
""
window_end
string
""
window_start
string
""

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string